#!/bin/sh
# Activy set Display text
#/bin/stty 38400 < /dev/ttyS0
source /etc/conf.d/vdr

WAKEUP_FILE=${VIDEO}/~wakeup
#set -x

#printf "\x9B\x00" > /dev/ttyS0
#printf "\xF0\xFF" > /dev/ttyS0
LCD_BR=$(grep "alcd.LCDBrightnessOnExit" /etc/vdr/setup.conf | cut -f 2 -d "=")
if [ "$LCD_BR" != "" ] ; then
   if [ -s $WAKEUP_FILE ] ; then
      NT=$(cat $WAKEUP_FILE | cut -f 1 -d ";")
      WT="$(date -d "1970-01-01 UTC $NT seconds" '+%d.%m.%Y - %R')"
      CH=$(cat $WAKEUP_FILE | cut -f 2 -d ";")
      PR=$(cat $WAKEUP_FILE | cut -f 3- -d ";")
      echo "$WT"
      echo "$CH-$PR"
      printf "\x9A\x02 $WT \x00" > /dev/ttyS0
      printf "\x9A\x03$PR\x00" > /dev/ttyS0
   else   
      printf "\x9B\x00" > /dev/ttyS0
   fi
   LCD_COL="\xF0\xFF"
   case $(($LCD_BR)) in
      0)
         LCD_COL="\xF0\xFF"
         ;;
      1)
         LCD_COL="\xF0\xC0"
         ;;
      2)
         LCD_COL="\xF0\x7D"
         ;;
      3)
         LCD_COL="\xF0\x3D"
         ;;
      4)
         LCD_COL="\xF0\x00"
         ;;
   esac
   printf "$LCD_COL" > /dev/ttyS0
fi
