#!/bin/bash
MOD_AUTO="/etc/modules.autoload.d/kernel-2.6"
MOD_OPTS="/etc/modules.d/dxr3"

tar -C /tmp -xzvf /_config/bin/dxr3cfg.tgz
cd /tmp
patch -f < /_config/bin/g2v_dxr3cfg.diff
[ -f $MOD_OPTS ] && rm $MOD_OPTS
sed -i $MOD_AUTO -e "/^em8300$/d"  -e "/^adv717x$/d" -e "/^bt865$/d" 
sh dxr3config.sh --auto --genModprobe
if [ -f $MOD_OPTS ] ; then
   modules-update
   echo "em8300" >> $MOD_AUTO
   echo "adv717x" >> $MOD_AUTO
   echo "bt865" >> $MOD_AUTO
fi   
